package communication.messages;

/**
 * A message confirming initialization from a subsystem
 */
public class ConfirmInitializeMessage implements Message {
	private static final long serialVersionUID = 5171011455655399581L;
	private Subsystem subsystem;

	public ConfirmInitializeMessage(Subsystem subsystem) {
		this.subsystem = subsystem;
	}

	/**
	 * @return the subsystem
	 */
	public Subsystem getSubsystem() {
		return subsystem;
	}

	public enum Subsystem {
		ELEVATOR,
		FLOOR
	}
}
